﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://aka.ms/download-jdk/microsoft-jdk-17.0.11-windows-x64.msi'
$checksum = 'e04f29f2da8d404f94ccb977ad2a6ba99602e65031b09844a5259d4f4eb78826'

$packageArgs = @{
    PackageName = $env:ChocolateyPackageName
    Url64bit = $url
    Checksum64 = $checksum
    ChecksumType64 = 'sha256'
    fileType      = 'msi'
    silentArgs    = "INSTALLLEVEL=3 /quiet"
  }
  
Install-ChocolateyPackage @packageArgs
